#!/bin/bash
#
# Es comprova que la distribució base sigui Linkat edu 12.04/14.04/16.04 LTS
#

#
# Requeriments:
# Instal·lar el python-pip i després: pip install youtube-dl
# Instal·lar el reproductor mpv
#

#
# Formats suportats:
# mp4|flv|ogg|webm|mkv|avi
#
FORMAT=mp4
TEMP_DIR=/tmp
ESCRIPTORI="$(xdg-user-dir DESKTOP)"
YOUTUBE_DL=$(which youtube-dl)
REPRODUCTOR=$(which mpv)
YTSEARCH="ytsearch:"
INFO="/usr/share/linkat/linkat-video-lleuger/readme.html"
	LSB=/etc/lsb-release
	if [ -e $LSB ]; then
		if [  "$(grep -i ubuntu $LSB)" = "" ]; then
			zenity --info --text="Sembla que la distribució no sigui Linkat edu 12.04/14.04/16.04.\n\n S\'avorta el programa."
			exit 0
		fi
	fi
	URL=""
zenity --text-info --title="Tecles de control" --width=800 --height=650 --html --filename="$INFO" --checkbox="Ja conec els controls del reproductor de vídeo." 
	while [ "$URL" = "" ]
		do
			URL_TMP=$(zenity --forms --width=400 --height=100 --title="Reproductor de vídeo lleuger" --add-entry="URL o cerca" --text="Visualitza/descarrega vídeos de Youtube i Vimeo.\n\n \
Introdueix la URL o paraula per cercar: " )
			if [ $? == "1" ]; then
				exit 0
			fi
			CAMP1="$(echo "$URL_TMP" | cut -d "|" -f 1)"
			if [ -n "$CAMP1" ]; then
				if [ -n "$(echo "$CAMP1" |grep http)" ];then 
					URL="$CAMP1"
				else
					URL="$YTSEARCH $CAMP1"
				fi
			else
				URL=""
			fi
			if [ -n "$URL" ]; then
				$YOUTUBE_DL -q "$URL" -o - | $REPRODUCTOR --ontop - >/dev/null 2>&1 && \
				zenity --question --text="Vols desar-lo?" --ok-label="Sí" --cancel-label="No" && \
				if [ $? == "0" ]; then
				(
					$YOUTUBE_DL -f $FORMAT -q "$URL" -o $ESCRIPTORI/'%(title)s'.$FORMAT
				) |
					zenity --progress \
						--title="Progress Status" \
						--text="Descarregant vídeo" \
						--pulsate \
						--auto-close \
						--auto-kill
				fi
				URL=""
			fi
		done
